/* partable.c: utilities for scanning the in-core partition table
 *
 * Copyright (C) 1995-97 Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
 *               1996-97 Michael Schlueter <schlue00@marvin.informatik.uni-dortmund.de>
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation: either version 2 or
 * (at your option) any later version.
 *
 */

#ifndef _partable_h
#define _partable_h

#include "fdisk.h"

/***************************** Prototypes *****************************/

int inside_part( PARTITION *p, unsigned long sec );
int n_primary( void );
int XGM_slot( void );
void XGM_boundary( unsigned long *start, unsigned long *size );
void table_infos( int *n_prim, int *n_ext, int *first_ext, int *last_ext );
int canonical_number( unsigned long start );
int primary_possible( int new_num, int n_prim, int n_ext, int first_ext,
                      int last_ext, char **why );
int extended_possible( int new_num, int n_prim, int n_ext, int first_ext,
                       int last_ext, char **why );
int free_sectors_at( unsigned long sec );
int free_sectors_before( unsigned long sec );
int allocated_sectors_at( unsigned long sec );

/************************* End of Prototypes **************************/

#endif  /* _partable_h */
