/* util.h: misc utility functions for Atari fdisk
 *
 * Copyright (C) 1995-97 Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
 *               1996-97 Michael Schlueter <schlue00@marvin.informatik.uni-dortmund.de>
 *
 * This program is free software.  You can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation: either version 2 or
 * (at your option) any later version.
 *
 */

#ifndef _util_h
#define _util_h

#include "fdisk.h"

/***************************** Prototypes *****************************/

void fatal( enum failure why ) __attribute((noreturn));
char *round_mb( unsigned long secs );
char *atari_partition_type( char *type);
int is_valid_PID( const char *id );
int is_reasonable_PID( const char *id );
int is_valid_part_entry( struct apartition *pi );
void list_atari_types( void );
char *atari_boot_type( unsigned char flag);
char *atari_boot_type_short( unsigned char flag);
int check_rootsec_checksum( char *buf );
void recalc_rootsec_checksum( char *buf );

/************************* End of Prototypes **************************/

#endif  /* _util_h */
